# Fact: openafspartsize
#
# Purpose: Report the size of the volume that /usr/vice/cache resides on.

if Facter.value(:kernel) == 'Linux' and File.exists?('/usr/vice/cache')
  Facter.add(:openafspartsize) do
    setcode do
      begin
        Facter::Util::Resolution.exec("/bin/df -k -P /usr/vice/cache").split("\n").last.split(/\s+/)[1]
      rescue Exception
        Facter.debug('Error getting /usr/vice/cache partition size')
      end
    end
  end
end
