class afs (
  $cachesize            = $afs::params::cachesize,
  $memcachesize         = $afs::params::memcachesize,
  $options              = $afs::params::options,
  $runserver            = $afs::params::runserver,
  $thiscell             = $afs::params::thiscell,
  $is_upstream          = $afs::params::is_upstream,
  $prefer_upstream_dkms = $afs::params::prefer_upstream_dkms,
  $enable_lemon         = $afs::params::enable_lemon,
  $enable_firewall      = $afs::params::enable_firewall,
) inherits afs::params {

  validate_bool($enable_firewall)
  class {'::afs::install':
    is_upstream          => $is_upstream,
    prefer_upstream_dkms => $prefer_upstream_dkms,
  }

  class {'::afs::config':
    cachesize    => $cachesize,
    memcachesize => $memcachesize,
    options      => $options,
    runserver    => $runserver,
    thiscell     => $thiscell,
    is_upstream  => $is_upstream,
  }

  class {'::afs::service':
    is_upstream  => $is_upstream,
  }

  if $enable_firewall {
    class {'::afs::firewall':}
  }

  if getvar('::lemonversion') and $enable_lemon {
    class {'::afs::lemon':}
  }

}
