class afs::install(
  $is_upstream = $afs::params::is_upstream,
  $prefer_upstream_dkms = $afs::params::prefer_upstream_dkms,
) inherits afs::params {

  $afs_kmod_pkg = $is_upstream ? {
    true => $prefer_upstream_dkms ? {
        true   => ['dkms-openafs'],
        false  => ['kmod-openafs'],
    },
    default => ["kernel-module-openafs-${::kernelrelease}", 'yum-kernel-module']
  }

  $afspkgs = concat(['openafs', 'openafs-client', 'openafs-krb5'], $afs_kmod_pkg)

  package {$afspkgs:
    ensure    => present,
  }

  package {'pam_krb5':
    ensure    => present,
  }

  package{'cern-wrappers':
    ensure    => present,
  }

  package{'cern-afs-setserverprefs':
    ensure    => present,
  }

}

