class afs::params {

  $cachesize = hiera('afs_cachesize', '524288')
  $memcachesize = hiera('afs_memcachesize', '262144')
  $default_options = {
    chunksize => '18',
    daemons   => '10',
    dcache    => '60000',
    fakestat  => true,
    files     => '50000',
    nosettime => (versioncmp($::operatingsystemmajrelease,'7') < 0), # i.e deprecated on CC7 and above
    stat      => '70000',
    volumes   => '512',
    memcache  => false,
    dynroot   => false,
    afsdb     => true,
  }
  $options = hiera_hash('afs_options',{})
  $runserver = hiera('afs_runserver','off')
  $thiscell = hiera('afs_thiscell','cern.ch')

  $_openafsversion = getvar(::openafsversion)
  if (versioncmp($::operatingsystemmajrelease,'7') >= 0 or    # i.e any-tagged on CC7, CC8, non-CERN tagged elsewhere
    (($_openafsversion != undef) and
    ($_openafsversion != 'package openafs is not installed') and
    ($_openafsversion !~ /cern/))) {
    $is_upstream = true
  } else {
    $is_upstream = false  # i.e. SLC4/5/6, but only with 'cern' in the release
  }
  $enable_lemon = true
  $enable_firewall = true
  $prefer_upstream_dkms = false  # choice between kmod-openafs (weak symbols) or dkms-openafs (recompiled on the machine)
}
